Package com.arms.egovframework.javaservice.treeframework.util

## Class EgovFormBasedFileVo

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.EgovFormBasedFileVo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class EgovFormBasedFileVo
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EgovFormBasedFileVo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContentType()` |
    `java.lang.String` | `getDelete_type()` |
    `java.lang.String` | `getDelete_url()` |
    `java.lang.String` | `getFileName()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getPhysicalName()` |
    `java.lang.String` | `getServerSubPath()` |
    `long` | `getSize()` |
    `java.lang.String` | `getThumbnailUrl()` |
    `java.lang.String` | `getUrl()` |
    `void` | `setContentType​(java.lang.String contentType)` |
    `void` | `setDelete_type​(java.lang.String delete_type)` |
    `void` | `setDelete_url​(java.lang.String delete_url)` |
    `void` | `setFileName​(java.lang.String fileName)` |
    `void` | `setPhysicalName​(java.lang.String physicalName)` |
    `void` | `setServerSubPath​(java.lang.String serverSubPath)` |
    `void` | `setSize​(long size)` |
    `void` | `setThumbnailUrl​(java.lang.String thumbnailUrl)` |
    `void` | `setUrl​(java.lang.String url)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EgovFormBasedFileVo

          public EgovFormBasedFileVo()

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

    - #### setFileName

          public void setFileName​(java.lang.String fileName)

    - #### getContentType

          public java.lang.String getContentType()

    - #### setContentType

          public void setContentType​(java.lang.String contentType)

    - #### getServerSubPath

          public java.lang.String getServerSubPath()

    - #### setServerSubPath

          public void setServerSubPath​(java.lang.String serverSubPath)

    - #### getPhysicalName

          public java.lang.String getPhysicalName()

    - #### setPhysicalName

          public void setPhysicalName​(java.lang.String physicalName)

    - #### getSize

          public long getSize()

    - #### setSize

          public void setSize​(long size)

    - #### getName

          public java.lang.String getName()

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl​(java.lang.String url)

    - #### getThumbnailUrl

          public java.lang.String getThumbnailUrl()

    - #### setThumbnailUrl

          public void setThumbnailUrl​(java.lang.String thumbnailUrl)

    - #### getDelete_url

          public java.lang.String getDelete_url()

    - #### setDelete_url

          public void setDelete_url​(java.lang.String delete_url)

    - #### getDelete_type

          public java.lang.String getDelete_type()

    - #### setDelete_type

          public void setDelete_type​(java.lang.String delete_type)